From 4e1c2ccc1d54232cfb5f7d2669e369b90b79f405 Mon Sep 17 00:00:00 2001
From: Chris Lamb <chris@chris-lamb.co.uk>
Date: Sat, 25 Aug 2018 22:08:00 +0200
Subject: [PATCH] Use (eg) #!/usr/bin/env python over #!/usr/bin/python.

---
 bin/delete-merged-git-branches                                  | 2 +-
 config/chroot_local-includes/usr/local/bin/lc.py                | 2 +-
 config/chroot_local-includes/usr/local/bin/tails-about          | 2 +-
 .../usr/local/lib/tails-autotest-remote-shell                   | 2 +-
 config/chroot_local-includes/usr/local/sbin/fillram             | 2 +-
 .../chroot_local-includes/usr/local/sbin/tor-controlport-filter | 2 +-
 features/scripts/otr-bot.py                                     | 2 +-
 wiki/src/blueprint/greeter_revamp_UI/mockups/mockup.py          | 2 +-
 8 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/bin/delete-merged-git-branches b/bin/delete-merged-git-branches
index 3f174d2699..44c4af6b70 100755
--- a/bin/delete-merged-git-branches
+++ b/bin/delete-merged-git-branches
@@ -1,4 +1,4 @@
-#!/usr/bin/python3
+#!/usr/bin/env python3
 
 import argparse
 import pprint
diff --git a/config/chroot_local-includes/usr/local/bin/lc.py b/config/chroot_local-includes/usr/local/bin/lc.py
index 2e83ec9d62..d1f12ea9c8 100755
--- a/config/chroot_local-includes/usr/local/bin/lc.py
+++ b/config/chroot_local-includes/usr/local/bin/lc.py
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/env python
 
 # The MIT License
 # 
diff --git a/config/chroot_local-includes/usr/local/bin/tails-about b/config/chroot_local-includes/usr/local/bin/tails-about
index f5afbb81c5..a8a0b6bce4 100755
--- a/config/chroot_local-includes/usr/local/bin/tails-about
+++ b/config/chroot_local-includes/usr/local/bin/tails-about
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/env python
 # -*- encoding: UTF-8
 
 import gettext
diff --git a/config/chroot_local-includes/usr/local/lib/tails-autotest-remote-shell b/config/chroot_local-includes/usr/local/lib/tails-autotest-remote-shell
index 958d5bbd0a..70215f347a 100755
--- a/config/chroot_local-includes/usr/local/lib/tails-autotest-remote-shell
+++ b/config/chroot_local-includes/usr/local/lib/tails-autotest-remote-shell
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/env python
 
 # ATTENTION: Yes, this can be used as a backdoor, but only for an
 # adversary with access to you *physical* serial port, which means
diff --git a/config/chroot_local-includes/usr/local/sbin/fillram b/config/chroot_local-includes/usr/local/sbin/fillram
index 94247ebad5..135f93e0d0 100755
--- a/config/chroot_local-includes/usr/local/sbin/fillram
+++ b/config/chroot_local-includes/usr/local/sbin/fillram
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/env python
 
 # NB: this program is subject to the system's per-process memory limits.
 
diff --git a/config/chroot_local-includes/usr/local/sbin/tor-controlport-filter b/config/chroot_local-includes/usr/local/sbin/tor-controlport-filter
index 6dc3a60859..684642a4df 100755
--- a/config/chroot_local-includes/usr/local/sbin/tor-controlport-filter
+++ b/config/chroot_local-includes/usr/local/sbin/tor-controlport-filter
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/env python
 
 # Tor control port filter proxy, only white-listing SIGNAL NEWNYM.
 
diff --git a/features/scripts/otr-bot.py b/features/scripts/otr-bot.py
index dad41c60b0..48c7f5d0a7 100755
--- a/features/scripts/otr-bot.py
+++ b/features/scripts/otr-bot.py
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/env python
 import sys
 import jabberbot
 import xmpp
diff --git a/wiki/src/blueprint/greeter_revamp_UI/mockups/mockup.py b/wiki/src/blueprint/greeter_revamp_UI/mockups/mockup.py
index 33741edd16..54aad9eb85 100755
--- a/wiki/src/blueprint/greeter_revamp_UI/mockups/mockup.py
+++ b/wiki/src/blueprint/greeter_revamp_UI/mockups/mockup.py
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/env python
 #*-* coding=utf-8
 
 import sys
-- 
2.18.0

